Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511517 - When provisioning an Ansible Embedded playbook, dialog's service_name does not set the service name
Summary: When provisioning an Ansible Embedded playbook, dialog's service_name does no...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.3
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1505929
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:53 UTC by Satoe Imaishi
Modified: 2018-02-28 13:08 UTC (History)
6 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1505929
Environment:
Last Closed: 2018-02-28 13:08:18 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-13 21:51:27 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/fa1057356273ff932e851cfb7b286f941d721a20

commit fa1057356273ff932e851cfb7b286f941d721a20
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Nov 8 18:03:49 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 16:49:27 2017 -0500

    Merge pull request #16338 from gmcculloug/name_service_during_provisioning
    
    Name service during provisioning from dialog input
    (cherry picked from commit 5faba9045f2796d2340c3a3da6fe657f3a385dfa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511517

 app/models/service.rb       | 27 +++++++++++++++---
 spec/models/service_spec.rb | 69 ++++++++++++++++++++++++++++++++++-----------
 2 files changed, 76 insertions(+), 20 deletions(-)

Comment 3 Dmitry Misharov 2017-12-15 09:20:19 UTC
Verified in 5.8.3.0.20171213193853_f1b4a89. The service name can be overridden by adding new field "service_name" in a service dialog.

Comment 6 errata-xmlrpc 2018-02-28 13:08:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.